const fs = require('fs');
const path = require('path');

function remplazarIndex() {
  // Ruta al archivo HTML
  const filePath = path.join(__dirname, '..', '..', 'index.html');

  // Leer el contenido del archivo
  fs.readFile(filePath, 'utf8', (err, data) => {
    if (err) {
      console.error('Error al leer el archivo:', err);
      return;
    }

    // Reemplazo
    let modifiedData = data.replace(
      '<base href="/">',
      '<base href="/SinergialAdvance/">'
    );
    modifiedData = modifiedData.replace(
      '<link rel="manifest" href="manifest.webmanifest">',
      '<link rel="manifest" href="manifest.webmanifest.json">'
    );

    // Guardar el archivo modificado
    fs.writeFile(filePath, modifiedData, 'utf8', (err) => {
      if (err) {
        console.error('Error al escribir el archivo:', err);
      } else {
        console.log('Archivo modificado correctamente.');
      }
    });
  });
}

function remplazarManifest() {
  // Ruta al archivo HTML
  const filePath = path.join(__dirname, '..', '..', '..', 'dist/index.html');

  // Leer el contenido del archivo
  fs.readFile(filePath, 'utf8', (err, data) => {
    if (err) {
      console.error('Error al leer el archivo:', err);
      return;
    }

    // Reemplazo
    let modifiedData = data.replace(
      '<link rel="manifest" href="manifest.webmanifest">',
      '<link rel="manifest" href="manifest.webmanifest.json">'
    );

    // Guardar el archivo modificado
    fs.writeFile(filePath, modifiedData, 'utf8', (err) => {
      if (err) {
        console.error('Error al escribir el archivo:', err);
      } else {
        console.log('Archivo modificado correctamente.');
      }
    });
  });
}

const args = process.argv.slice(2);
switch (args[0]) {
  case 'remplazarIndex':
    remplazarIndex();
    break;
  case 'remplazarManifest':
    remplazarManifest();
    break;
  default:
    console.log('Comando no reconocido');
    break;
}
